# node-red-contrib-aeades Changelog

## March 26, 2020, Version 0.3.4

### Fixes
- Certificate loading (Reported in issue #17)

## March 26, 2020, Version 0.3.3

### Fixes
- Typing error on aedes.html (Reported in issue #17)

## March 22, 2020, Version 0.3.2

### Notable changes
- Update aedes-persistence-mongodb to version 8

## March 10, 2020, Version 0.3.1

### Notable changes
- Add secure WSS connection

## Feb 25, 2020, Version 0.3.0
### Notable changes
- Add secure SSL / TLS connection
### Fixes
- Reformat code to [semistandard](https://github.com/standard/semistandard)
- Prepare internationaization (only en-US implemented so far)
- Rearrange property windows to allow more features 

## Feb 20, 2020, Version 0.2.0

### Notable changes
- Add status to node
 
### Fixes
- Move username and password to credentials

## Feb 17, 2020, Version 0.1.1

### Fixes

- Fix another "port already in use" error

## Feb 16, 2020, Version 0.1.0

### Notable changes
- Add authentication
- Add mqtt over websocket

### Fixes

- Fix "port already in use" errors
 
### Commits
- [[`Version 0.1.0`](https://github.com/martin-doyle/node-red-contrib-aedes/commit/9a0f2390674de155c5f48de4ad2415448417d1b9)] - Version 0.1.0
- [[`Add mqtt over websocket`](https://github.com/martin-doyle/node-red-contrib-aedes/commit/9a0f2390674de155c5f48de4ad2415448417d1b9)] - Add mqtt over websocket
- [[`Add authentication`](https://github.com/martin-doyle/node-red-contrib-aedes/commit/0005fc587cd8082b2055162b056055314ac694bc)] - Add authentication

## Feb 15, 2020, Initial commit

### Notable changes
- Initial commit
 
### Commits
- [[`Initial commit`](https://github.com/martin-doyle/node-red-contrib-aedes/commit/3b10df634bba92665d486ef83933eafc8d57f9dc)] - Initial commit
